/*
 * Common Library for TBAS Softwares
 * Language: Java
 *
 * All Rights Reserved.
 * Copyright (c) 2003 Tsukuba Bunko.
 *
 * $Id: StringUtil.java,v 1.1 2003/12/06 14:43:33 ppoi Exp $
 */
package tsukuba_bunko.text;

/**
 * 基本的な文字列操作のためのユーティリティクラスです。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public final class StringUtil	{

	/**
	 * 文字列の前後の不要な空白を除去します。
	 * @param	text	処理対象の文字列
	 * @param	voidToNull	<code>true</code> の場合、処理結果が空文字列の場合に <code>null</code> を返し、それ以外の場合、そのまま処理結果を返す。
	 * @return	処理結果
	 */
	public static String trimString( String text, boolean voidToNull )
	{
		if( text != null )	{
			text = text.trim();
			if( voidToNull && (text.length() == 0) )	{
				text = null;
			}
		}
		return text;
	}
}